﻿%let DataFile=CY1MDAI_TCH_QQQ;
libname DataLib '.';

proc format;
     value ADMINMODEF
       1  = "Paper"
       2  = "Computer"
     ;
     value $ CNTF
       'ECU'  = "Ecuador"
       'GTM'  = "Guatemala"
       'HND'  = "Honduras"
       'KHM'  = "Cambodia"
       'PAN'  = "Panama"
       'PRY'  = "Paraguay"
       'SEN'  = "Senegal"
       'ZMB'  = "Zambia"
       'ZZZ'  = "International Master"
     ;
     value CNTRYIDF
       116  = "Cambodia"
       218  = "Ecuador"
       320  = "Guatemala"
       340  = "Honduras"
       591  = "Panama"
       600  = "Paraguay"
       686  = "Senegal"
       894  = "Zambia"
     ;
     value FUNDINGSTRF
       1  = "Public"
       2  = "Partially funded by the government"
       3  = "Private"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value INSTRRESCATF
       1  = "Very low level of instructional resources"
       2  = "Low level of instructional resources"
       3  = "Adequate level of instructional resources"
       4  = "Moderately high level of instructional resources"
       5  = "High level of instructional resources"
     ;
     value LANGN_TF
       148  = "German"
       156  = "Spanish"
       232  = "Portuguese"
       313  = "English"
       316  = "Chinese"
       493  = "French"
       551  = "Khmer"
       629  = "Indigenous language"
       663  = "Maya"
       664  = "Garifuna"
       665  = "Xinca"
       666  = "Miskito"
       667  = "Guarani"
       668  = "Cinyanja"
       669  = "Chitonga"
       670  = "Icibemba"
       671  = "Kiikaonde"
       672  = "Lunda"
       673  = "Luvale"
       674  = "Silozi"
       675  = "Pular"
       676  = "Serer"
       677  = "Diola"
       889  = "Another Language (ECU)"
       890  = "Another Language (GTM)"
       892  = "Another Language (PRY)"
       893  = "Another Language (ZMB)"
       894  = "Another Language (SEN)"
       895  = "Another Language (KHM)"
       896  = "Another Language (HND)"
       990  = "Wolof"
       .  = "Missing"
       995  = "Valid Skip"
       .V  = "Valid Skip"
       997  = "Not Applicable"
       .N  = "Not Applicable"
       998  = "Invalid"
       .I  = "Invalid"
       999  = "No Response"
       .M  = "No Response"
     ;
     value LANGTESTF
       156  = "Spanish"
       313  = "English"
       493  = "French"
       551  = "Khmer"
       990  = "Wolof"
     ;
     value $ NatCenF
       '011600'  = "Cambodia"
       '021800'  = "Ecuador"
       '032000'  = "Guatemala"
       '034000'  = "Honduras"
       '060000'  = "Paraguay"
       '068600'  = "Senegal"
       '089400'  = "Zambia"
     ;
     value OECDF
       0  = "No"
       1  = "Yes"
     ;
     value RURALSTRF
       1  = "Urban stratum"
       2  = "Rural stratum"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value $ STRATUMF
       'ECU0001'  = "ECU - stratum 01: 01_Urban,01_Public"
       'ECU0002'  = "ECU - stratum 02: 01_Urban,02_Partially state funded"
       'ECU0003'  = "ECU - stratum 03: 01_Urban,03_Municipal"
       'ECU0004'  = "ECU - stratum 04: 01_Urban,04_Private"
       'ECU0005'  = "ECU - stratum 05: 02_Rural,01_Public"
       'ECU0006'  = "ECU - stratum 06: 02_Rural,02_Partially state funded"
       'ECU0007'  = "ECU - stratum 07: 02_Rural,03_Municipal"
       'ECU0008'  = "ECU - stratum 08: 02_Rural,04_Private"
       'ECU9797'  = "Undisclosed STRATUM - Ecuador"
       'GTM0001'  = "GTM - stratum 01: 01_Rural,01_Official"
       'GTM0002'  = "GTM - stratum 02: 01_Rural,02_Cooperative"
       'GTM0003'  = "GTM - stratum 03: 01_Rural,03_Municipal"
       'GTM0004'  = "GTM - stratum 04: 01_Rural,04_Private"
       'GTM0005'  = "GTM - stratum 05: 02_Urban,01_Official"
       'GTM0006'  = "GTM - stratum 06: 02_Urban,02_Cooperative"
       'GTM0007'  = "GTM - stratum 07: 02_Urban,03_Municipal"
       'GTM0008'  = "GTM - stratum 08: 02_Urban,04_Private"
       'GTM9797'  = "Undisclosed STRATUM - Guatemala"
       'HND0001'  = "HND - stratum 01: 01_URBAN,01_PUBLIC,01_7th TO 9th GRADE"
       'HND0002'  = "HND - stratum 02: 01_URBAN,01_PUBLIC,02_10th TO 12th GRADE"
       'HND0003'  = "HND - stratum 03: 01_URBAN,02_PRIVATE,01_7th TO 9th GRADE"
       'HND0004'  = "HND - stratum 04: 01_URBAN,02_PRIVATE,02_10th TO 12th GRADE"
       'HND0005'  = "HND - stratum 05: 02_RURAL,01_PUBLIC,01_7th TO 9th GRADE"
       'HND0006'  = "HND - stratum 06: 02_RURAL,01_PUBLIC,02_10th TO 12th GRADE"
       'HND0007'  = "HND - stratum 07: 02_RURAL,02_PRIVATE,01_7th TO 9th GRADE"
       'HND0008'  = "HND - stratum 08: 02_RURAL,02_PRIVATE,02_10th TO 12th GRADE"
       'HND9797'  = "Undisclosed STRATUM - Honduras"
       'KHM0001'  = "KHM - stratum 01: 01_Urban,01_College,01_Plains"
       'KHM0002'  = "KHM - stratum 02: 01_Urban,01_College,02_Tonlesap"
       'KHM0003'  = "KHM - stratum 03: 01_Urban,01_College,03_Plato"
       'KHM0004'  = "KHM - stratum 04: 01_Urban,01_College,04_Costal"
       'KHM0005'  = "KHM - stratum 05: 01_Urban,02_LyceeG7_G12,01_Plains"
       'KHM0006'  = "KHM - stratum 06: 01_Urban,02_LyceeG7_G12,02_Tonlesap"
       'KHM0007'  = "KHM - stratum 07: 01_Urban,02_LyceeG7_G12,03_Plato"
       'KHM0008'  = "KHM - stratum 08: 01_Urban,02_LyceeG7_G12,04_Costal"
       'KHM0009'  = "KHM - stratum 09: 01_Urban,03_LyceeG10_G12,01_Plains"
       'KHM0010'  = "KHM - stratum 10: 01_Urban,03_LyceeG10_G12,02_Tonlesap"
       'KHM0011'  = "KHM - stratum 11: 01_Urban,03_LyceeG10_G12,03_Plato"
       'KHM0012'  = "KHM - stratum 12: 01_Urban,03_LyceeG10_G12,04_Costal"
       'KHM0013'  = "KHM - stratum 13: 02_Rural,01_College,01_Plains"
       'KHM0014'  = "KHM - stratum 14: 02_Rural,01_College,02_Tonlesap"
       'KHM0015'  = "KHM - stratum 15: 02_Rural,01_College,03_Plato"
       'KHM0016'  = "KHM - stratum 16: 02_Rural,01_College,04_Costal"
       'KHM0017'  = "KHM - stratum 17: 02_Rural,02_LyceeG7_G12,01_Plains"
       'KHM0018'  = "KHM - stratum 18: 02_Rural,02_LyceeG7_G12,02_Tonlesap"
       'KHM0019'  = "KHM - stratum 19: 02_Rural,02_LyceeG7_G12,03_Plato"
       'KHM0020'  = "KHM - stratum 20: 02_Rural,02_LyceeG7_G12,04_Costal"
       'KHM0021'  = "KHM - stratum 21: 02_Rural,03_LyceeG10_G12,01_Plains"
       'KHM0022'  = "KHM - stratum 22: 02_Rural,03_LyceeG10_G12,02_Tonlesap"
       'KHM0023'  = "KHM - stratum 23: 02_Rural,03_LyceeG10_G12,03_Plato"
       'KHM0024'  = "KHM - stratum 24: 02_Rural,03_LyceeG10_G12,04_Costal"
       'KHM9797'  = "Undisclosed STRATUM - Cambodia"
       'PRY0001'  = "PRY - stratum 01: 01_Oficial,01_Urban,01_Small"
       'PRY0002'  = "PRY - stratum 02: 01_Oficial,01_Urban,02_Medium"
       'PRY0003'  = "PRY - stratum 03: 01_Oficial,01_Urban,03_Large"
       'PRY0004'  = "PRY - stratum 04: 01_Oficial,02_Rural,01_Small"
       'PRY0005'  = "PRY - stratum 05: 01_Oficial,02_Rural,02_Medium"
       'PRY0006'  = "PRY - stratum 06: 01_Oficial,02_Rural,03_Large"
       'PRY0007'  = "PRY - stratum 07: 02_Private,01_Urban,01_Small"
       'PRY0008'  = "PRY - stratum 08: 02_Private,01_Urban,02_Medium"
       'PRY0009'  = "PRY - stratum 09: 02_Private,01_Urban,03_Large"
       'PRY0010'  = "PRY - stratum 10: 02_Private,02_Rural,01_Small"
       'PRY0011'  = "PRY - stratum 11: 02_Private,02_Rural,02_Medium"
       'PRY0012'  = "PRY - stratum 12: 02_Private,02_Rural,03_Large"
       'PRY0013'  = "PRY - stratum 13: 03_Subsidized,01_Urban,01_Small"
       'PRY0014'  = "PRY - stratum 14: 03_Subsidized,01_Urban,02_Medium"
       'PRY0015'  = "PRY - stratum 15: 03_Subsidized,01_Urban,03_Large"
       'PRY0016'  = "PRY - stratum 16: 03_Subsidized,02_Rural,01_Small"
       'PRY0017'  = "PRY - stratum 17: 03_Subsidized,02_Rural,02_Medium"
       'PRY0018'  = "PRY - stratum 18: 03_Subsidized,02_Rural,03_Large"
       'PRY9797'  = "Undisclosed STRATUM - Paraguay"
       'SEN0001'  = "SEN - stratum 01: 01_IA Dakar,01_Urbain"
       'SEN0003'  = "SEN - stratum 03: 02_IA Diourbel,01_Urbain"
       'SEN0004'  = "SEN - stratum 04: 02_IA Diourbel,02_Rural"
       'SEN0005'  = "SEN - stratum 05: 03_IA Fatick,01_Urbain"
       'SEN0006'  = "SEN - stratum 06: 03_IA Fatick,02_Rural"
       'SEN0007'  = "SEN - stratum 07: 04_IA Kaffrine,01_Urbain"
       'SEN0008'  = "SEN - stratum 08: 04_IA Kaffrine,02_Rural"
       'SEN0009'  = "SEN - stratum 09: 05_IA Kaolack,01_Urbain"
       'SEN0010'  = "SEN - stratum 10: 05_IA Kaolack,02_Rural"
       'SEN0011'  = "SEN - stratum 11: 06_IA Kdougou,01_Urbain"
       'SEN0012'  = "SEN - stratum 12: 06_IA Kdougou,02_Rural"
       'SEN0013'  = "SEN - stratum 13: 07_IA Kolda,01_Urbain"
       'SEN0014'  = "SEN - stratum 14: 07_IA Kolda,02_Rural"
       'SEN0015'  = "SEN - stratum 15: 08_IA Louga,01_Urbain"
       'SEN0016'  = "SEN - stratum 16: 08_IA Louga,02_Rural"
       'SEN0017'  = "SEN - stratum 17: 09_IA Matam,01_Urbain"
       'SEN0018'  = "SEN - stratum 18: 09_IA Matam,02_Rural"
       'SEN0019'  = "SEN - stratum 19: 10_IA Pikine Gudiawaye,01_Urbain"
       'SEN0021'  = "SEN - stratum 21: 11_IA Rufisque,01_Urbain"
       'SEN0022'  = "SEN - stratum 22: 11_IA Rufisque,02_Rural"
       'SEN0023'  = "SEN - stratum 23: 12_IA Saint-Louis,01_Urbain"
       'SEN0024'  = "SEN - stratum 24: 12_IA Saint-Louis,02_Rural"
       'SEN0025'  = "SEN - stratum 25: 13_IA Sdhiou,01_Urbain"
       'SEN0026'  = "SEN - stratum 26: 13_IA Sdhiou,02_Rural"
       'SEN0027'  = "SEN - stratum 27: 14_IA Tamba,01_Urbain"
       'SEN0028'  = "SEN - stratum 28: 14_IA Tamba,02_Rural"
       'SEN0029'  = "SEN - stratum 29: 15_IA This,01_Urbain"
       'SEN0030'  = "SEN - stratum 30: 15_IA This,02_Rural"
       'SEN0031'  = "SEN - stratum 31: 16_IA Ziguinchor,01_Urbain"
       'SEN0032'  = "SEN - stratum 32: 16_IA Ziguinchor,02_Rural"
       'SEN9797'  = "Undisclosed STRATUM - Senegal"
       'ZMB0001'  = "ZMB - stratum 01: 01_Muchinga,01_Urban Area"
       'ZMB0002'  = "ZMB - stratum 02: 01_Muchinga,02_Rural Area"
       'ZMB0003'  = "ZMB - stratum 03: 02_Northern,01_Urban Area"
       'ZMB0004'  = "ZMB - stratum 04: 02_Northern,02_Rural Area"
       'ZMB0005'  = "ZMB - stratum 05: 03_Luapula,01_Urban Area"
       'ZMB0006'  = "ZMB - stratum 06: 03_Luapula,02_Rural Area"
       'ZMB0007'  = "ZMB - stratum 07: 04_Southern,01_Urban Area"
       'ZMB0008'  = "ZMB - stratum 08: 04_Southern,02_Rural Area"
       'ZMB0009'  = "ZMB - stratum 09: 05_Eastern,01_Urban Area"
       'ZMB0010'  = "ZMB - stratum 10: 05_Eastern,02_Rural Area"
       'ZMB0011'  = "ZMB - stratum 11: 06_Copperbelt,01_Urban Area"
       'ZMB0012'  = "ZMB - stratum 12: 06_Copperbelt,02_Rural Area"
       'ZMB0013'  = "ZMB - stratum 13: 07_North Western,01_Urban Area"
       'ZMB0014'  = "ZMB - stratum 14: 07_North Western,02_Rural Area"
       'ZMB0015'  = "ZMB - stratum 15: 08_Central,01_Urban Area"
       'ZMB0016'  = "ZMB - stratum 16: 08_Central,02_Rural Area"
       'ZMB0017'  = "ZMB - stratum 17: 09_Western,01_Urban Area"
       'ZMB0018'  = "ZMB - stratum 18: 09_Western,02_Rural Area"
       'ZMB0019'  = "ZMB - stratum 19: 10_Lusaka,01_Urban Area"
       'ZMB0020'  = "ZMB - stratum 20: 10_Lusaka,02_Rural Area"
       'ZMB9797'  = "Undisclosed STRATUM - Zambia"
     ;
     value TC001Q01TF
       1  = "Female"
       2  = "Male"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC003Q01NAF
       1  = "< ISCED Level 2>"
       2  = "< ISCED Level 3>"
       3  = "< ISCED Level 4>"
       4  = "<ISCED Level 5B>"
       5  = "<ISCED Level 5A Bachelor degree>"
       6  = "<ISCED Level 5A Masters degree>"
       7  = "<ISCED Level 6>"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC004Q01NMF
       0  = "Not checked"
       1  = "Checked"
     ;
     value TC006Q01NAF
       1  = "<Permanent> teacher who is paid by the government (<permanent> and pensionable, paid by public institutions, such as <lo"
       2  = "<Permanent> teacher who is not paid by the government (<permanent> and pensionable, paid by private institutions such as"
       3  = "<Non-permanent> teacher (temporary, contract, or student teacher) who is paid by the government."
       4  = "<Non-permanent> teacher (temporary, contract, or student teacher) who is not paid by the government."
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC007Q01NAF
       1  = "In this school only"
       2  = "In this school and in one other school"
       3  = "In this school and in two other schools"
       4  = "In this school and in more than two other schools"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC009Q01NAF
       1  = "None"
       2  = "Up to 10 hours per week"
       3  = "Between 10 and 19 hours per week"
       4  = "Between 20 and 30 hours per week"
       5  = "More than 30 hours per week"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC010Q01NAF
       1  = "Generally in a poor state"
       2  = "Some parts require major repairs"
       3  = "Some parts require minor repairs"
       4  = "Generally in good condition"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC012Q04TAF
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC013Q01NAF
       1  = "No"
       2  = "Yes, for up to 1 year"
       3  = "Yes, for 1 year"
       4  = "Yes, for 2 years"
       5  = "Yes, for 3 years"
       6  = "Yes, for 4 years or more"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC019Q01NAF
       1  = "Yes, every student has at least one."
       2  = "Yes, but not enough. Sometimes two students need to share a textbook."
       3  = "Yes, but so few that sometimes more than two students need to share a textbook."
       4  = "No, there are no textbooks"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC020Q01NAF
       1  = "Yes, every student has at least one."
       2  = "Yes, but not enough. Sometimes two students need to share a textbook."
       3  = "Yes, but so few that sometimes more than two students need to share a textbook."
       4  = "No, there are no textbooks"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC021Q01NAF
       1  = "Language of test"
       2  = "Other language"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC023Q01NAF
       1  = "Only <language of instruction>"
       2  = "Mostly  <language of instruction> but sometimes their home language"
       3  = "Sometimes <language of instruction> and sometimes their home language"
       4  = "Mostly their home language"
       5  = "Always their home language"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC024Q05NAF
       1  = "Never"
       2  = "Sometimes"
       3  = "Most of the time"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC026Q01NAF
       1  = "Only a small proportion (less than 10%)"
       2  = "About one quarter of the class (25%)"
       3  = "About one-half of the class (50%)"
       4  = "About three quarters of the class (75%)"
       5  = "Most or all of the students in the class (more than 90%)"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
     value TC028Q11NAF
       1  = "Strongly Disagree"
       2  = "Disagree"
       3  = "Agree"
       4  = "Strongly Agree"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC029Q13NAF
       1  = "Yes"
       2  = "No"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC031Q06NAF
       1  = "Never or almost never"
       2  = "Sometimes"
       3  = "Often"
       4  = "Always or almost  always"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC034Q07NAF
       1  = "Strongly disagree"
       2  = "Disagree"
       3  = "Agree"
       4  = "Strongly agree"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC035Q18NAF
       1  = "No, not available"
       2  = "Yes, but in poor condition"
       3  = "Yes, but in need of minor repairs"
       4  = "Yes, in good condition"
       .  = "Missing"
       5  = "Valid Skip"
       .V  = "Valid Skip"
       7  = "Not Applicable"
       .N  = "Not Applicable"
       8  = "Invalid"
       .I  = "Invalid"
       9  = "No Response"
       .M  = "No Response"
     ;
     value TC036Q11NAF
       1  = "I have never used it"
       2  = "About one to three times a year"
       3  = "About once or twice a month"
       4  = "About once or twice a week"
       5  = "Daily"
       .  = "Missing"
       95  = "Valid Skip"
       .V  = "Valid Skip"
       97  = "Not Applicable"
       .N  = "Not Applicable"
       98  = "Invalid"
       .I  = "Invalid"
       99  = "No Response"
       .M  = "No Response"
     ;
run;
data &DataFile;
     set DataLib.&DataFile;
     format 
     TC002Q01NA TC012Q04TAF.
     TC012Q02TA TC012Q04TAF.
     TC012Q03TA TC012Q04TAF.
     TC012Q04TA TC012Q04TAF.
     TC012Q01TA TC012Q04TAF.
     TC004Q01NF TC004Q01NMF.
     TC004Q01NL TC004Q01NMF.
     TC004Q01NC TC004Q01NMF.
     TC004Q01NI TC004Q01NMF.
     TC004Q01NB TC004Q01NMF.
     TC004Q01NH TC004Q01NMF.
     TC004Q01NK TC004Q01NMF.
     TC004Q01NM TC004Q01NMF.
     TC004Q01NG TC004Q01NMF.
     TC004Q01ND TC004Q01NMF.
     TC004Q01NE TC004Q01NMF.
     TC004Q01NJ TC004Q01NMF.
     TC004Q01NA TC004Q01NMF.
     TC001Q01T TC001Q01TF.
     TC015Q04NA TC029Q13NAF.
     TC015Q02NA TC029Q13NAF.
     TC014Q10TA TC029Q13NAF.
     TC014Q06TA TC029Q13NAF.
     TC029Q08NA TC029Q13NAF.
     TC014Q03TA TC029Q13NAF.
     TC014Q02TA TC029Q13NAF.
     TC014Q01TA TC029Q13NAF.
     TC029Q04NA TC029Q13NAF.
     TC029Q05NA TC029Q13NAF.
     TC029Q01NA TC029Q13NAF.
     TC015Q05NA TC029Q13NAF.
     TC016Q04NA TC029Q13NAF.
     TC029Q02NA TC029Q13NAF.
     TC027Q03NA TC029Q13NAF.
     TC027Q02NA TC029Q13NAF.
     TC027Q04NA TC029Q13NAF.
     TC016Q02NA TC029Q13NAF.
     TC016Q14NA TC029Q13NAF.
     TC027Q06NA TC029Q13NAF.
     TC016Q01NA TC029Q13NAF.
     TC016Q08NA TC029Q13NAF.
     TC016Q07NA TC029Q13NAF.
     TC014Q04TA TC029Q13NAF.
     TC005Q01NA TC029Q13NAF.
     TC014Q08TA TC029Q13NAF.
     TC016Q03NA TC029Q13NAF.
     TC029Q06NA TC029Q13NAF.
     TC015Q07NA TC029Q13NAF.
     TC015Q06NA TC029Q13NAF.
     TC029Q13NA TC029Q13NAF.
     TC029Q11NA TC029Q13NAF.
     TC016Q12NA TC029Q13NAF.
     TC016Q06NA TC029Q13NAF.
     TC016Q13NA TC029Q13NAF.
     TC029Q10NA TC029Q13NAF.
     TC029Q03NA TC029Q13NAF.
     TC016Q05NA TC029Q13NAF.
     TC027Q07NA TC029Q13NAF.
     TC014Q05TA TC029Q13NAF.
     TC027Q05NA TC029Q13NAF.
     TC014Q09TA TC029Q13NAF.
     TC015Q09NA TC029Q13NAF.
     TC029Q07NA TC029Q13NAF.
     TC014Q07TA TC029Q13NAF.
     TC015Q01NA TC029Q13NAF.
     TC016Q15NA TC029Q13NAF.
     TC016Q11NA TC029Q13NAF.
     TC016Q10NA TC029Q13NAF.
     TC029Q12NA TC029Q13NAF.
     TC016Q09NA TC029Q13NAF.
     TC027Q01NA TC029Q13NAF.
     TC015Q10NA TC029Q13NAF.
     TC015Q03NA TC029Q13NAF.
     TC029Q09NA TC029Q13NAF.
     TC015Q08NA TC029Q13NAF.
     TC003Q01NA TC003Q01NAF.
     TC017Q02NA TC035Q18NAF.
     TC017Q01NA TC035Q18NAF.
     TC017Q20NA TC035Q18NAF.
     TC017Q19NA TC035Q18NAF.
     TC017Q18NA TC035Q18NAF.
     TC017Q17NA TC035Q18NAF.
     TC017Q16NA TC035Q18NAF.
     TC017Q15NA TC035Q18NAF.
     TC017Q14NA TC035Q18NAF.
     TC017Q13NA TC035Q18NAF.
     TC035Q18NA TC035Q18NAF.
     TC017Q12NA TC035Q18NAF.
     TC035Q17NA TC035Q18NAF.
     TC035Q16NA TC035Q18NAF.
     TC017Q11NA TC035Q18NAF.
     TC035Q15NA TC035Q18NAF.
     TC035Q14NA TC035Q18NAF.
     TC017Q10NA TC035Q18NAF.
     TC035Q13NA TC035Q18NAF.
     TC035Q12NA TC035Q18NAF.
     TC017Q09NA TC035Q18NAF.
     TC035Q11NA TC035Q18NAF.
     TC035Q10NA TC035Q18NAF.
     TC017Q08NA TC035Q18NAF.
     TC035Q09NA TC035Q18NAF.
     TC017Q07NA TC035Q18NAF.
     TC035Q08NA TC035Q18NAF.
     TC035Q07NA TC035Q18NAF.
     TC035Q06NA TC035Q18NAF.
     TC017Q06NA TC035Q18NAF.
     TC035Q05NA TC035Q18NAF.
     TC017Q05NA TC035Q18NAF.
     TC035Q04NA TC035Q18NAF.
     TC035Q03NA TC035Q18NAF.
     TC035Q02NA TC035Q18NAF.
     TC035Q01NA TC035Q18NAF.
     TC017Q04NA TC035Q18NAF.
     TC017Q03NA TC035Q18NAF.
     TC018Q14NA TC036Q11NAF.
     TC018Q13NA TC036Q11NAF.
     TC018Q12NA TC036Q11NAF.
     TC018Q11NA TC036Q11NAF.
     TC018Q10NA TC036Q11NAF.
     TC018Q09NA TC036Q11NAF.
     TC018Q08NA TC036Q11NAF.
     TC018Q07NA TC036Q11NAF.
     TC018Q06NA TC036Q11NAF.
     TC018Q05NA TC036Q11NAF.
     TC018Q04NA TC036Q11NAF.
     TC018Q03NA TC036Q11NAF.
     TC018Q02NA TC036Q11NAF.
     TC018Q01NA TC036Q11NAF.
     TC036Q11NA TC036Q11NAF.
     TC036Q10NA TC036Q11NAF.
     TC036Q09NA TC036Q11NAF.
     TC036Q08NA TC036Q11NAF.
     TC036Q07NA TC036Q11NAF.
     TC036Q06NA TC036Q11NAF.
     TC036Q05NA TC036Q11NAF.
     TC036Q04NA TC036Q11NAF.
     TC036Q03NA TC036Q11NAF.
     TC036Q02NA TC036Q11NAF.
     TC036Q01NA TC036Q11NAF.
     TC019Q01NA TC019Q01NAF.
     TC020Q01NA TC020Q01NAF.
     TC031Q06NA TC031Q06NAF.
     TC031Q05NA TC031Q06NAF.
     TC031Q04NA TC031Q06NAF.
     TC031Q03NA TC031Q06NAF.
     TC031Q02NA TC031Q06NAF.
     TC031Q01NA TC031Q06NAF.
     TC006Q01NA TC006Q01NAF.
     TC007Q01NA TC007Q01NAF.
     TC009Q01NA TC009Q01NAF.
     TC008Q01NA TC009Q01NAF.
     TC010Q01NA TC010Q01NAF.
     TC013Q01NA TC013Q01NAF.
     TC023Q01NA TC023Q01NAF.
     TC024Q05NA TC024Q05NAF.
     TC024Q04NA TC024Q05NAF.
     TC024Q03NA TC024Q05NAF.
     TC024Q02NA TC024Q05NAF.
     TC024Q01NA TC024Q05NAF.
     TC026Q01NA TC026Q01NAF.
     TC025Q01NA TC026Q01NAF.
     TC028Q11NA TC028Q11NAF.
     TC028Q10NA TC028Q11NAF.
     TC028Q09NA TC028Q11NAF.
     TC028Q08NA TC028Q11NAF.
     TC028Q07NA TC028Q11NAF.
     TC028Q06NA TC028Q11NAF.
     TC028Q05NA TC028Q11NAF.
     TC028Q04NA TC028Q11NAF.
     TC028Q03NA TC028Q11NAF.
     TC028Q02NA TC028Q11NAF.
     TC028Q01NA TC028Q11NAF.
     TC034Q07NA TC034Q07NAF.
     TC034Q06NA TC034Q07NAF.
     TC034Q05NA TC034Q07NAF.
     TC034Q04NA TC034Q07NAF.
     TC034Q03NA TC034Q07NAF.
     TC034Q02NA TC034Q07NAF.
     TC034Q01NA TC034Q07NAF.
     TC033Q08TA TC034Q07NAF.
     TC033Q07TA TC034Q07NAF.
     TC033Q06TA TC034Q07NAF.
     TC033Q05TA TC034Q07NAF.
     TC033Q04TA TC034Q07NAF.
     TC033Q03TA TC034Q07NAF.
     TC033Q02TA TC034Q07NAF.
     TC033Q01TA TC034Q07NAF.
     TC032Q05TA TC034Q07NAF.
     TC032Q04TA TC034Q07NAF.
     TC032Q03TA TC034Q07NAF.
     TC032Q02TA TC034Q07NAF.
     TC032Q01TA TC034Q07NAF.
     TC021Q01NA TC021Q01NAF.
     ADMINMODE ADMINMODEF.
     CNTRYID CNTRYIDF.
     CNT $CNTF.
     OECD OECDF.
     NatCen $NatCenF.
     LANGTEST LANGTESTF.
     RURALSTR RURALSTRF.
     LANGN_T LANGN_TF.
     STRATUM $STRATUMF.
     INSTRRESCAT INSTRRESCATF.
     FUNDINGSTR FUNDINGSTRF.
     ;
run;
